## python-arrayfire 3.3.20160624

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ArrayFire.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ArrayFire.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ArrayFire"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ArrayFire"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
python-arrayfire (3.3.20160624-2) unstable; urgency=medium

  * Provide the sphinx documentation in -doc package.
  * Use the system MathJax dependency.
  * Update description of all binary packages.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 16 Sep 2016 12:55:46 +0100

python-arrayfire (3.3.20160624-1) unstable; urgency=medium

  * New upstream release.
  * Patch buggy standalone tests module.
  * Update test override.
  * Simplify packaging testsuite.
  * d/control: add missing Testsuite: autopkgtest.
  * d/control: mark -doc package Multi-Arch: foreign.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 16 Sep 2016 10:52:33 +0100

python-arrayfire (3.3.20160516-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: add upstream contact information.
  * Add upstream metadata.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 17 May 2016 13:23:33 +0100

python-arrayfire (3.3.20160427-1) unstable; urgency=medium

  * New upstream release.
  * Add missing copyright information.
  * Bump standards version to 3.9.8, no changes required 

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 01 May 2016 20:35:58 +0100

python-arrayfire (3.3.20160328-1) unstable; urgency=low

  * Initial release. (Closes: #799001)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Mon, 28 Mar 2016 23:48:43 +0100

=== debian/control ===
Source: python-arrayfire
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Testsuite: autopkgtest
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               libarrayfire-unified3 (>= 3.3.0+dfsg1-1~),
               python-all,
               python-numpydoc,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-arrayfire.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-arrayfire.git
Homepage: http://arrayfire.com/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-arrayfire
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         libarrayfire-unified3 (>= 3.3.0+dfsg1-1~)
Suggests: python-arrayfire-doc
Description: ArrayFire bindings for Python 2
 ArrayFire is a high performance library for parallel computing with an
 easy-to-use API. It enables users to write scientific computing code that is
 portable across CUDA, OpenCL and CPU devices. This project provides Python
 bindings for the ArrayFire library.
 .
 This package provides the bindings for Python 2.

Package: python3-arrayfire
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         libarrayfire-unified3 (>= 3.3.0+dfsg1-1~)
Suggests: python-arrayfire-doc
Description: ArrayFire bindings for Python 3
 ArrayFire is a high performance library for parallel computing with an
 easy-to-use API. It enables users to write scientific computing code that is
 portable across CUDA, OpenCL and CPU devices. This project provides Python
 bindings for the ArrayFire library.
 .
 This package provides the bindings for Python 3.

Package: python-arrayfire-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Description: documentation for the ArrayFire Python bindings
 ArrayFire is a high performance library for parallel computing with an
 easy-to-use API. It enables users to write scientific computing code that is
 portable across CUDA, OpenCL and CPU devices. This project provides Python
 bindings for the ArrayFire library.
 .
 This package provides the documentation for the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=arrayfire

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' \
		sphinx-build -N -b html docs build/html

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_BEFORE_TEST="cp -r {dir}/tests {build_dir}" \
	PYBUILD_TEST_ARGS="cd {build_dir}; {interpreter} -m tests" \
	PYBUILD_AFTER_TEST="rm -rf {build_dir}/tests" \
	dh_auto_test

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js

=== debian/tests/control ===
Test-Command: cp -r ./tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP;
 python -m tests
Depends: python-arrayfire

Test-Command: cp -r ./tests $AUTOPKGTEST_TMP; cd $AUTOPKGTEST_TMP;
 python3 -m tests
Depends: python3-arrayfire

Test-Command: cp /usr/share/doc/python-arrayfire-doc/examples/getting_started/intro.py $AUTOPKGTEST_TMP;
 cd $AUTOPKGTEST_TMP;
 echo "=== python 2 ===";
 python ./intro.py;
 echo "=== python 3 ===";
 python3 ./intro.py;
Depends: @

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/arrayfire-python-$1\.tar\.gz/ \
https://github.com/arrayfire/arrayfire-python/tags .*/v?(\d\S*)\.tar\.gz
